export default <LibMixins>{

    methods:{

        fetch(obj){
            return this.$request({
                url:'user/get_user_decorate_list',
                data:{
                    type:this.type
                },
                token:true
            }).then((data)=>{

                (data.data || []).map((item)=>{
                    if (item.is_using === 1) {
                        this.dress = {
                            [this.type]:item
                        }
                    }
                });

                return obj.success(data.data);
            });
        }

    }

}
